MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026253Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-05-22 10:442015-10-23 20:51
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026253: Wrong result obtained by General Fuse operator.
DescriptionWrong result obtained by General Fuse operator.

The problem has been detected during the test SALOME application
Steps To Reproduce# Use the following commands to reproduce the problem:
box b1 -805 585 143 407 30 8
restore qs b2

bclearobjects; bcleartools
baddobjects b1 b2
bfillds
bbuild r
checkshape r
#
the result is:
Shape faulty_1 on shape faulty_2 :
BRepCheck_InvalidMultiConnexity

TagsNo tags attached.
Test case numberbugs modalg_6 bug26253
Attached Files? file icon qs (16,844 bytes) 2015-05-22 10:44

- Relationships

-  Notes
(0041414)
git (administrator)
2015-05-22 11:07

Branch CR26253 has been created by pkv.

SHA-1: 485a1040e970a44ce4b7251cf0f7702fd80ffcff


No new revisions were added by this update.
(0041417)
git (administrator)
2015-05-22 11:14

Branch CR26253 has been updated by pkv.

SHA-1: 7a97e4852ddf302a644e41137411df8bab9a27d1


Detailed log of new commits:

Author: pkv
Date: Fri May 22 11:14:37 2015 +0300

    0026253: Wrong result obtained by General Fuse operator.
    
    I. New features:
    No new features.
    
    II. Changes:
    II.1. class BOPAlgo_ShellSplitter
    - method:
    void BOPAlgo_ShellSplitter::SplitBlock(BOPTools_ConnexityBlock& aCB)
    It has changed the algorithm of separation shells.
    
    III. Modified entities:
    packages:
    BOPAlgo

(0041418)
pkv (developer)
2015-05-22 11:15

Git branch CR26253 is ready to review.
(0041419)
emv (developer)
2015-05-22 11:34

Reviewed.
(0041459)
git (administrator)
2015-05-22 18:48

Branch CR26253 has been updated forcibly by mkv.

SHA-1: 2134828d46bf9fe0319db9d4ea75277a77df9d58
(0041491)
mkv (tester)
2015-05-25 14:37

Dear BugMaster,
Branch CR26253 was rebased on current master of occt git-repository.
SHA-1: 2134828d46bf9fe0319db9d4ea75277a77df9d58
(0041492)
mkv (tester)
2015-05-25 14:38

Dear BugMaster,
Branch CR26253 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 2134828d46bf9fe0319db9d4ea75277a77df9d58

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR26253-master-occt-64/Debian70-64/summary.html [^]
Improvements:
  boolean bcut_complex N9
  boolean gdml_private F8, K4, P7
  boolean volumemaker D8, D9
  feat featprism C4
Failed:
  boolean bcommon_complex C3
  boolean gdml_private H7, ZH5
  boolean volumemaker A4, B7, B8, C1, C6, D6, F2
  bugs modalg_5 bug25184
  perf ncollection A1
http://occt-tests/CR26253-master-occt-64/Windows-64-VC10/summary.html [^]
Improvements:
  boolean bcut_complex N9
  boolean gdml_private K4, L8, O1
  boolean volumemaker D8, D9
  feat featprism C4
Failed:
  boolean bcommon_complex C3
  boolean gdml_private ZH5
  boolean volumemaker B7, B8, C1, C6, D6, F2
  bugs mesh bug25378_1_2
  bugs modalg_5 bug25184

Testing cases:
http://occt-tests/CR26253-master-occt-64/Debian70-64/bugs/modalg_6/bug26253.html [^]
http://occt-tests/CR26253-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26253.html [^]
bugs modalg_6 bug26253: OK

Testing on Linux:
occt component :
Total MEMORY difference: 98873103 / 99755709 [-0.88%]
Total CPU difference: 19154.63999999984 / 18211.02000000013 [+5.18%]
products component :
Total MEMORY difference: 24123948 / 24303876 [-0.74%]
Total CPU difference: 7361.679999999977 / 7853.200000000018 [-6.26%]
Testing on Windows:

occt component :
http://occt-tests/CR26253-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
CPU boolean gdml_private P2: 4.4928288 / 2.8392182 [+58.24%]
CPU boolean volumemaker A6: 0.9048058 / 0.2340015 [+286.67%]
CPU bugs fclasses bug22980: 1.8564119 / 0.936006 [+98.33%]
Total MEMORY difference: 58783763 / 58656322 [+0.22%]
Total CPU difference: 16873.598563399464 / 16657.31877699903 [+1.30%]

products component :
Total MEMORY difference: 15630276 / 15634962 [-0.03%]
Total CPU difference: 6576.456156499982 / 6589.763041799983 [-0.20%]

There are following differences in images found by testdiff.
http://occt-tests/CR26253-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26253-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE boolean gdml_private ZJ7: ZJ7.png differs
IMAGE boolean gdml_private L7: L7.png differs
IMAGE boolean gdml_private G1: G1.png differs
IMAGE boolean gdml_private O1: O1.png differs
IMAGE boolean gdml_private ZJ3: ZJ3.png differs
IMAGE boolean gdml_private U4: U4.png differs
IMAGE boolean gdml_private P5: P5.png differs
IMAGE boolean gdml_private L3: L3.png differs
IMAGE boolean gdml_private O4: O4.png differs
IMAGE boolean gdml_private I8: I8.png differs
IMAGE boolean gdml_private L9: L9.png differs
IMAGE boolean gdml_private N8: N8.png differs
IMAGE boolean gdml_private K2: K2.png differs
IMAGE boolean gdml_private Q5: Q5.png differs
IMAGE boolean gdml_private ZJ4: ZJ4.png differs
IMAGE boolean gdml_private O6: O6.png differs
IMAGE boolean gdml_private U5: U5.png differs
IMAGE boolean gdml_private O3: O3.png differs
IMAGE boolean gdml_private T2: T2.png differs
IMAGE boolean gdml_private W2: W2.png differs
IMAGE boolean gdml_private L5: L5.png differs
IMAGE boolean gdml_private ZI7: ZI7.png differs
IMAGE boolean gdml_public A9: A9.png differs
IMAGE boolean volumemaker B4: B4.png differs
IMAGE boolean volumemaker B9: B9.png differs
IMAGE boolean volumemaker A6: A6.png differs
IMAGE boolean volumemaker B6: B6.png differs
IMAGE boolean volumemaker C9: C9.png differs
IMAGE boolean volumemaker A8: A8.png differs
IMAGE bugs moddata_2 bug26_1: bug26_1.png differs
(0041493)
git (administrator)
2015-05-25 14:38

Branch CR26253 has been updated by mkv.

SHA-1: 3eb63a745e583ddfeacd85f96df66d8f706f9980


Detailed log of new commits:

Author: mkv
Date: Mon May 25 14:37:10 2015 +0300

    Test case for issue CR26253

(0041494)
mkv (tester)
2015-05-25 14:39

Dear pkv,
could you please review following test case
bugs modalg_6 bug26253
(0041555)
git (administrator)
2015-05-26 13:41

Branch CR26253_1 has been created by pkv.

SHA-1: fb64064b00f75443fe50ead1a3e0abd9a1fbdf6a


No new revisions were added by this update.
(0041556)
git (administrator)
2015-05-26 13:48

Branch CR26253_1 has been updated by pkv.

SHA-1: c3c8e3a4b3a0e9e09d77f6e665f6b661c90dce30


Detailed log of new commits:

Author: pkv
Date: Tue May 26 13:48:40 2015 +0300

    0026253: Wrong result obtained by General Fuse operator.
    
    Replace BOPCol_MapOfShape by BOPCol_IndexedMapOfShape to provide
    the same order of shells in the result

(0041557)
pkv (developer)
2015-05-26 13:49

Git branch CR26253_1 is ready to review.
(0041558)
emv (developer)
2015-05-26 13:52

Reviewed.
(0041621)
mkv (tester)
2015-05-27 18:36

Dear BugMaster,
Branch CR26253_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: c3c8e3a4b3a0e9e09d77f6e665f6b661c90dce30

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR26253-1-master-occt-64/Debian70-64/boolean/bcut_complex/N9.html [^]
http://occt-tests/CR26253-1-master-occt-64/Windows-64-VC10/boolean/bcut_complex/N9.html [^]
boolean bcut_complex N9 - will be corrected
http://occt-tests/CR26253-1-master-occt-64/Debian70-64/feat/featprism/C4.html [^]
http://occt-tests/CR26253-1-master-occt-64/Windows-64-VC10/feat/featprism/C4.html [^]
feat featprism C4 - will be corrected
http://occt-tests/CR26253-1-master-occt-64/Debian70-64/boolean/bcommon_complex/C3.html [^]
http://occt-tests/CR26253-1-master-occt-64/Windows-64-VC10/boolean/bcommon_complex/C3.html [^]
boolean bcommon_complex C3 - will be corrected

Testing cases:
http://occt-tests/CR26253-1-master-occt-64/Debian70-64/bugs/modalg_6/bug26253.html [^]
http://occt-tests/CR26253-1-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26253.html [^]
bugs modalg_6 bug26253: OK

Testing on Linux:
occt component :
Total MEMORY difference: 99427090 / 99767134 [-0.34%]
Total CPU difference: 18790.26000000009 / 18351.93000000015 [+2.39%]
products component :
Total MEMORY difference: 24096397 / 24303876 [-0.85%]
Total CPU difference: 7805.040000000037 / 7853.200000000018 [-0.61%]

Testing on Windows:
occt component :
Total MEMORY difference: 58707910 / 58641270 [+0.11%]
Total CPU difference: 16830.511087198927 / 16774.085525499027 [+0.34%]
products component :
Total MEMORY difference: 15624516 / 15628514 [-0.03%]
Total CPU difference: 6574.506143999999 / 6588.515033799982 [-0.21%]

There are following differences in images found by testdiff.
http://occt-tests/CR26253-1-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26253-1-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE bugs moddata_2 bug26_1: bug26_1.png differs
(0041625)
git (administrator)
2015-05-27 19:10

Branch CR26253_1 has been updated by mkv.

SHA-1: 0063b58419755085550ffc46941a4d8b71666555


Detailed log of new commits:

Author: mkv
Date: Wed May 27 19:10:21 2015 +0300

    Test case for issue CR26253

(0041656)
pkv (developer)
2015-05-28 13:36

1. Case
bugs moddata_2 bug26_1

1.1. Analysis:
The arguments a_1, a_2
are not valid for fuse.

To check tthe fact please, use the commands:

bopargcheck a_1 #F
bopargcheck a_2 #F

1.2 Proposal
Correct the script:

brestore T:/occt_tests_data/private/customers/Samtech/OCC26.brep a
explode a

settolerance a_1 0.000301
settolerance a_2 0.000301

bclearobjects
bcleartools
baddobjects a_1
baddtools a_2

bfillds
bbop result 1
(0041667)
git (administrator)
2015-05-28 14:47

Branch CR26253_1 has been updated by mkv.

SHA-1: 90bebb4c43b5bb576505134f213214437ca3bf8b


Detailed log of new commits:

Author: mkv
Date: Thu May 28 14:47:29 2015 +0300

    Correction of test case for issue CR26253

(0041669)
mkv (tester)
2015-05-28 14:50

Dear BugMaster,
Test case
bugs moddata_2 bug26_1
was corrected and pushed to branch CR26253_1 of occt git-repository.
Now it is OK.
(0044254)
git (administrator)
2015-08-14 10:59

Branch CR26253_1 has been deleted by inv.

SHA-1: 90bebb4c43b5bb576505134f213214437ca3bf8b
(0044262)
git (administrator)
2015-08-14 11:00

Branch CR26253 has been deleted by inv.

SHA-1: 3eb63a745e583ddfeacd85f96df66d8f706f9980

- Related Changesets
occt: master a2ab2702
Timestamp: 2015-05-28 12:21:57
Author: pkv
Committer: bugmaster
Details ] Diff ]
0026253: Wrong result obtained by General Fuse operator.

Replace BOPCol_MapOfShape by BOPCol_IndexedMapOfShape to provide
the same order of shells in the result

Test case for issue CR26253

Correction of test case for issue CR26253
mod - src/BOPAlgo/BOPAlgo_ShellSplitter.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug26253 Diff ] File ]
mod - tests/bugs/moddata_2/bug26_1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-22 10:44 pkv New Issue
2015-05-22 10:44 pkv Assigned To => pkv
2015-05-22 10:44 pkv File Added: qs
2015-05-22 10:45 pkv Status new => assigned
2015-05-22 11:07 git Note Added: 0041414
2015-05-22 11:14 git Note Added: 0041417
2015-05-22 11:15 pkv Status assigned => resolved
2015-05-22 11:15 pkv Note Added: 0041418
2015-05-22 11:16 pkv Assigned To pkv => emv
2015-05-22 11:34 emv Note Added: 0041419
2015-05-22 11:34 emv Assigned To emv => mkv
2015-05-22 11:34 emv Status resolved => reviewed
2015-05-22 18:48 git Note Added: 0041459
2015-05-25 14:37 mkv Note Added: 0041491
2015-05-25 14:38 mkv Note Added: 0041492
2015-05-25 14:38 mkv Assigned To mkv => pkv
2015-05-25 14:38 mkv Status reviewed => assigned
2015-05-25 14:38 git Note Added: 0041493
2015-05-25 14:39 mkv Note Added: 0041494
2015-05-25 14:39 mkv Assigned To pkv => mkv
2015-05-25 14:39 mkv Test case number => bugs modalg_6 bug26253
2015-05-25 14:39 mkv Assigned To mkv => pkv
2015-05-26 13:41 git Note Added: 0041555
2015-05-26 13:48 git Note Added: 0041556
2015-05-26 13:49 pkv Note Added: 0041557
2015-05-26 13:50 pkv Status assigned => resolved
2015-05-26 13:50 pkv Assigned To pkv => emv
2015-05-26 13:52 emv Note Added: 0041558
2015-05-26 13:52 emv Assigned To emv => mkv
2015-05-26 13:52 emv Status resolved => reviewed
2015-05-27 18:36 mkv Note Added: 0041621
2015-05-27 18:36 mkv Assigned To mkv => pkv
2015-05-27 18:36 mkv Status reviewed => assigned
2015-05-27 19:10 git Note Added: 0041625
2015-05-28 13:36 pkv Note Added: 0041656
2015-05-28 13:37 pkv Assigned To pkv => mkv
2015-05-28 14:47 git Note Added: 0041667
2015-05-28 14:50 mkv Note Added: 0041669
2015-05-28 14:50 mkv Assigned To mkv => bugmaster
2015-05-28 14:50 mkv Status assigned => resolved
2015-05-28 14:51 mkv Status resolved => reviewed
2015-05-28 14:51 mkv Status reviewed => tested
2015-05-29 14:14 bugmaster Changeset attached => occt master a2ab2702
2015-05-29 14:15 bugmaster Status tested => verified
2015-05-29 14:15 bugmaster Resolution open => fixed
2015-08-14 10:59 git Note Added: 0044254
2015-08-14 11:00 git Note Added: 0044262
2015-08-26 11:11 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker